Index: cluster-glue/lib/pils/pils.c
===================================================================
--- cluster-glue.orig/lib/pils/pils.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/pils/pils.c	2015-02-24 09:54:15.334311067 +0100
@@ -898,7 +898,7 @@ DelPILInterfaceType(PILInterfaceType*ift
 		gpointer	key, iftype;
 		if (DEBUGPLUGIN) {
 			PILLog(PIL_DEBUG
-			,	"DelPILInterfaceType(%s): table size (%d)"
+			,	"DelPILInterfaceType(%s): table size (%u)"
 			,	ift->typename, g_hash_table_size(ift->interfaces));
 		}
 		if (g_hash_table_lookup_extended(ift->interfaces
@@ -1883,7 +1883,7 @@ so_select (const struct dirent *dire)
 	if (DEBUGPLUGIN) {
 		PILLog(PIL_DEBUG
 		,	"FILE %s Doesn't look like a plugin name [%s] "
-		"%zd %zd %s."
+		"%zu %zu %s."
 		,	dire->d_name, end
 		,	sizeof(obj_end), strlen(dire->d_name)
 		,	&dire->d_name[strlen(dire->d_name)
@@ -2115,7 +2115,7 @@ PILValidateInterfaceUniv(gpointer key, g
 
 #define PRSTAT(type)	{					\
 	PILLog(PIL_INFO, "Plugin system objects (" #type "): "		\
-	"\tnew %ld free \%ld current %ld"			\
+	"\tnew %lu free \%lu current %lu"			\
 	,	PILstats.type.news				\
 	,	PILstats.type.frees				\
 	,	PILstats.type.news - PILstats.type.frees);	\
Index: cluster-glue/lib/pils/test.c
===================================================================
--- cluster-glue.orig/lib/pils/test.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/pils/test.c	2015-02-24 09:54:27.928451660 +0100
@@ -100,7 +100,7 @@ PIL_PLUGIN_INIT(PILPlugin*us, PILPluginI
 	,	&OurIf
 	,	(void*)&OurIfImports
 	,	NULL);
-	imports->log(PIL_INFO, "test init function: returning %d"
+	imports->log(PIL_INFO, "test init function: returning %u"
 		,	ret);
 
 	return ret;
Index: cluster-glue/lib/clplumbing/cl_msg.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/cl_msg.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/cl_msg.c	2015-02-24 09:56:29.054804261 +0100
@@ -1344,7 +1344,7 @@ cl_msg_add_list_str(struct ha_msg* msg,
 	if (n <= 0  || buf == NULL|| name ==NULL ||msg == NULL){
 		cl_log(LOG_ERR, "%s:"
 		       "invalid parameter(%s)", 
-		       !n <= 0?"n is negative or zero": 
+		       n <= 0?"n is negative or zero": 
 		       !buf?"buf is NULL":
 		       !name?"name is NULL":
 		       "msg is NULL",__FUNCTION__);
@@ -1397,7 +1397,7 @@ cl_msg_add_list_int(struct ha_msg* msg,
 	if (n <= 0  || buf == NULL|| name ==NULL ||msg == NULL){
 		cl_log(LOG_ERR, "cl_msg_add_list_int:"
 		       "invalid parameter(%s)", 
-		       !n <= 0?"n is negative or zero": 
+		       n <= 0?"n is negative or zero": 
 		       !buf?"buf is NULL":
 		       !name?"name is NULL":
 		       "msg is NULL");
Index: cluster-glue/lib/clplumbing/cl_msg_types.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/cl_msg_types.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/cl_msg_types.c	2015-02-24 09:57:06.651224230 +0100
@@ -742,7 +742,7 @@ convert_nl_sym(char* s, int len, char sy
 			if (s[i] == sym){
 				cl_log(LOG_ERR
 				, "convert_nl_sym(): special symbol \'0x%x\' (%c) found"
-				" in string at %d (len=%d)", s[i], s[i], i, len);
+				" in string at %d (len=%d)", (unsigned)s[i], s[i], i, len);
 				i -= 10;
 				if(i < 0) {
 					i = 0;
Index: cluster-glue/lib/clplumbing/cl_log.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/cl_log.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/cl_log.c	2015-02-24 09:58:24.245091228 +0100
@@ -1149,7 +1149,7 @@ ChildLogIPCMessage(int priority, const c
 	
 	
 	if (ch->msgpad > MAX_MSGPAD){
-		cl_log(LOG_ERR, "ChildLogIPCMessage: invalid msgpad(%d)",
+		cl_log(LOG_ERR, "ChildLogIPCMessage: invalid msgpad(%u)",
 		       ch->msgpad);
 		return NULL;
 	}
Index: cluster-glue/lib/clplumbing/cl_pidfile.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/cl_pidfile.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/cl_pidfile.c	2015-02-24 10:04:17.081057827 +0100
@@ -91,7 +91,7 @@ int IsRunning(long pid)
 #endif
 	
 	/* check to make sure pid hasn't been reused by another process */
-	snprintf(proc_path, sizeof(proc_path), "/proc/%lu/exe", pid);
+	snprintf(proc_path, sizeof(proc_path), "/proc/%ld/exe", pid);
 	
 	rc = readlink(proc_path, exe_path, PATH_MAX-1);
 	if(rc < 0) {
@@ -102,7 +102,7 @@ int IsRunning(long pid)
 	
 	mypid = (unsigned long) getpid();
 	
-	snprintf(proc_path, sizeof(proc_path), "/proc/%lu/exe", mypid);
+	snprintf(proc_path, sizeof(proc_path), "/proc/%ld/exe", mypid);
 	rc = readlink(proc_path, myexe_path, PATH_MAX-1);
 	if(rc < 0) {
 		cl_perror("Could not read from %s", proc_path);
@@ -131,7 +131,7 @@ DoLock(const char *filename)
 	
 	snprintf(lf_name, sizeof(lf_name), "%s",filename);
 	
-	snprintf(tf_name, sizeof(tf_name), "%s.%lu",
+	snprintf(tf_name, sizeof(tf_name), "%s.%ld",
 		 filename, mypid);
 	
 	if ((fd = open(lf_name, O_RDONLY)) >= 0) {
@@ -147,7 +147,7 @@ DoLock(const char *filename)
 		if (read(fd, buf, sizeof(buf)) < 1) {
 			/* lockfile empty -> rm it and go on */;
 		} else {
-			if (sscanf(buf, "%lu", &pid) < 1) {
+			if (sscanf(buf, "%ld", &pid) < 1) {
 				/* lockfile screwed up -> rm it and go on */
 			} else {
 				if (pid > 1 && (getpid() != pid)
@@ -170,7 +170,7 @@ DoLock(const char *filename)
 	}
 
 	/* Slight overkill with the %*d format ;-) */
-	snprintf(buf, sizeof(buf), "%*lu\n", LOCKSTRLEN-1, mypid);
+	snprintf(buf, sizeof(buf), "%*ld\n", LOCKSTRLEN-1, mypid);
 
 	if (write(fd, buf, LOCKSTRLEN) != LOCKSTRLEN) {
 		/* Again, nothing we can do about this */
@@ -250,7 +250,7 @@ cl_read_pidfile_no_checking(const char*f
 		return -1;
 	} 
 	
-	if (sscanf(buf, "%lu", &pid) <= 0) {
+	if (sscanf(buf, "%ld", &pid) <= 0) {
 		close(fd);
 		return -1;
 	}
Index: cluster-glue/lib/clplumbing/cl_poll.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/cl_poll.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/cl_poll.c	2015-02-24 10:01:58.750489375 +0100
@@ -282,7 +282,7 @@ cl_init_poll_sig(struct pollfd *fds, uns
 	if (fds->events != 0 && debug) {
 		cl_log(LOG_DEBUG
 		,	"Current event mask for fd [0] {%d} 0x%x"
-		,	fds->fd, fds->events);
+		,	fds->fd, (unsigned)fds->events);
 	}
 	/*
 	 * Examine each fd for the following things:
@@ -329,15 +329,15 @@ cl_init_poll_sig(struct pollfd *fds, uns
 			if (debug) {
 				cl_log(LOG_DEBUG
 				,	"revents for fd %d: 0x%x"
-				,	fds[j].fd, fds[j].revents);
+				,	fds[j].fd, (unsigned)fds[j].revents);
 				cl_log(LOG_DEBUG
 				,	"events for fd %d: 0x%x"
-				,	fds[j].fd, fds[j].events);
+				,	fds[j].fd, (unsigned)fds[j].events);
 			}
 		}else if (fds[j].events && debug) {
 			cl_log(LOG_DEBUG
 			,	"pendevents for fd %d: 0x%x"
-			,	fds[j].fd, moni->pendevents);
+			,	fds[j].fd, (unsigned)moni->pendevents);
 		}
 		if (badfd) {
 			cl_poll_ignore(fd);
@@ -383,7 +383,7 @@ cl_real_poll_fd(int fd)
 		if (debug) {
 			cl_log(LOG_DEBUG
 			,	"Old news from poll(2) for fd %d: 0x%x"
-			,	fd, pfd[0].revents);
+			,	fd, (unsigned)pfd[0].revents);
 		}
 	}else{
 		if (fcntl(fd, F_GETFL) < 0) {
@@ -690,14 +690,15 @@ dump_fd_info(struct pollfd *fds, unsigne
 
 		cl_log(LOG_DEBUG, "fd %d flags: 0%o, signal: %d, events: 0x%x"
 		", revents: 0x%x, pendevents: 0x%x"
-		,	fd, fcntl(fd, F_GETFL), moni->nsig
-		,	fds[j].events, fds[j].revents, moni->pendevents);
+		,	fd, (unsigned)fcntl(fd, F_GETFL), moni->nsig
+		,	(unsigned)fds[j].events, (unsigned)fds[j].revents
+		,       (unsigned)moni->pendevents);
 	}
 	for (j=SIGRTMIN; j < (unsigned)SIGRTMAX; ++j) {
 		if (!sigismember(&SignalSet, j)) {
 			continue;
 		}
-		cl_log(LOG_DEBUG, "Currently monitoring RT signal %d", j);
+		cl_log(LOG_DEBUG, "Currently monitoring RT signal %u", j);
 	}
 }
 
@@ -727,19 +728,19 @@ check_fd_info(struct pollfd *fds, unsign
 		}
 		sig = fcntl(j, F_GETSIG);
 		if (sig == 0) {
-			cl_log(LOG_ERR, "FD %d will get SIGIO", j);
+			cl_log(LOG_ERR, "FD %u will get SIGIO", j);
 		}
 		if (!sigismember(&SignalSet, sig)) {
-			cl_log(LOG_ERR, "FD %d (signal %d) is not in SignalSet"
+			cl_log(LOG_ERR, "FD %u (signal %d) is not in SignalSet"
 			,	j, sig);
 		}
 		if (sig < SIGRTMIN || sig >= SIGRTMAX) {
-			cl_log(LOG_ERR, "FD %d (signal %d) is not RealTime"
+			cl_log(LOG_ERR, "FD %u (signal %d) is not RealTime"
 			,	j, sig);
 		}
 		pid = fcntl(j, F_GETOWN);
 		if (pid != getpid()) {
-			cl_log(LOG_ERR, "FD %d (signal %d) owner is pid %d"
+			cl_log(LOG_ERR, "FD %u (signal %d) owner is pid %d"
 			,	j, sig, pid);
 		}
 	}
Index: cluster-glue/lib/clplumbing/GSource.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/GSource.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/GSource.c	2015-02-24 10:08:40.474080849 +0100
@@ -75,7 +75,7 @@ lc_fetch(char *ptr) {
 #define	WARN_DELAY(ms, mx, input)	cl_log(LOG_WARNING		\
 	,	"%s: Dispatch function for %s was delayed"		\
 	" %lu ms (> %lu ms) before being called (GSource: 0x%lx)"	\
-	,	__FUNCTION__,	(input)->description, ms, mx		\
+	,	__FUNCTION__,	(input)->description, (unsigned long)ms, (unsigned long)mx		\
 	,	POINTER_TO_ULONG(input))
 
 #define EXPLAINDELAY(started, detected) cl_log(LOG_INFO			\
@@ -87,7 +87,7 @@ lc_fetch(char *ptr) {
 #define	WARN_TOOLONG(ms, mx, input)	cl_log(LOG_WARNING		\
 	,	"%s: Dispatch function for %s took too long to execute"	\
 	": %lu ms (> %lu ms) (GSource: 0x%lx)"				\
-	,	__FUNCTION__,	(input)->description, ms, mx		\
+	,	__FUNCTION__,	(input)->description, (unsigned long)ms, (unsigned long)mx		\
 	,	POINTER_TO_ULONG(input))
 
 #define CHECK_DISPATCH_DELAY(i)	{ 					\
@@ -949,7 +949,7 @@ G_main_add_SignalHandler(int priority, i
 		sig_src->description = "signal";
 		if (sig_src->gsourceid < 1) {
 			cl_log(LOG_ERR
-			,	"%s: Could not attach source for signal %d (%d)"
+			,	"%s: Could not attach source for signal %d (%u)"
 			,	__FUNCTION__
 			,	signal, sig_src->gsourceid);
 			failed = TRUE;
@@ -1298,7 +1298,7 @@ G_main_add_TriggerHandler(int priority,
 		trig_src->gsourceid = g_source_attach(source, NULL);
 		trig_src->description = "trigger";
 		if (trig_src->gsourceid < 1) {
-			cl_log(LOG_ERR, "G_main_add_TriggerHandler: Could not attach new source (%d)",
+			cl_log(LOG_ERR, "G_main_add_TriggerHandler: Could not attach new source (%u)",
 			       trig_src->gsourceid);
 			failed = TRUE;
 		}
Index: cluster-glue/lib/clplumbing/coredumps.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/coredumps.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/coredumps.c	2015-02-24 10:10:18.328203497 +0100
@@ -89,7 +89,7 @@ cl_cdtocoredir(void)
 	pwent = getpwuid(getuid());
 	if (pwent == NULL) {
 		int errsave = errno;
-		cl_perror("Cannot get name for uid [%d]", getuid());
+		cl_perror("Cannot get name for uid [%u]", getuid());
 		errno = errsave;
 		return -1;
 	}
Index: cluster-glue/lib/clplumbing/ocf_ipc.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/ocf_ipc.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/ocf_ipc.c	2015-02-24 10:11:41.840161379 +0100
@@ -448,7 +448,7 @@ ipc_bufpool_update(struct ipc_bufpool* p
 			       "magic number in head does not match. "
 			       "Something very bad happened, farside pid =%d",
 			       ch->farside_pid);
-			cl_log(LOG_ERR, "magic=%x, expected value=%x", head->magic, HEADMAGIC);
+			cl_log(LOG_ERR, "magic=%x, expected value=%x", head->magic, (unsigned)HEADMAGIC);
 			ipc_bufpool_display(pool);
 			cl_log(LOG_INFO, "nmsgs=%d", nmsgs);
 			/*print out the last message in queue*/
Index: cluster-glue/lib/clplumbing/ipcsocket.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/ipcsocket.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/ipcsocket.c	2015-02-24 10:15:09.317540398 +0100
@@ -1131,7 +1131,7 @@ socket_check_poll(struct IPC_CHANNEL * c
 		}
 		cl_log(LOG_ERR
 		,	"revents failure: fd %d, flags 0x%x"
-		,	sockpoll->fd, sockpoll->revents);
+		,	sockpoll->fd, (unsigned)sockpoll->revents);
 		errno = EINVAL;
 		return IPC_FAIL;
 	}
Index: cluster-glue/lib/clplumbing/realtime.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/realtime.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/realtime.c	2015-02-24 10:16:48.610678558 +0100
@@ -314,7 +314,7 @@ cl_realtime_malloc_check(void)
 			       post_rt_morecore_count - lastcount);
 			
 			cl_log(LOG_INFO,
-			       "Total non-realtime malloc bytes: %ld",
+			       "Total non-realtime malloc bytes: %lu",
 			       MALLOC_TOTALSIZE() - init_malloc_arena);
 			oldarena = MALLOC_TOTALSIZE();			
 			
Index: cluster-glue/lib/clplumbing/ipctest.c
===================================================================
--- cluster-glue.orig/lib/clplumbing/ipctest.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/clplumbing/ipctest.c	2015-02-24 10:20:51.936466739 +0100
@@ -1044,7 +1044,7 @@ asyn_echoclient(IPC_Channel* chan, int r
 		if ((pf[0].revents & (POLLERR|POLLNVAL)) != 0) {
 			cl_log(LOG_ERR
 			,	"Async echoclient: bad poll revents."
-			" revents: 0x%x iter %d", pf[0].revents, rdcount);
+			" revents: 0x%x iter %d", (unsigned)pf[0].revents, rdcount);
 			++errcount;
 			continue;
 		}
@@ -1054,7 +1054,7 @@ asyn_echoclient(IPC_Channel* chan, int r
 		&&	((pf[0].revents&POLLIN) == 0)) {
 			cl_log(LOG_ERR
 			,	"Async echoclient: premature pollhup."
-			" revents: 0x%x iter %d", pf[0].revents, rdcount);
+			" revents: 0x%x iter %d", (unsigned)pf[0].revents, rdcount);
 			EOFcheck(chan);
 			++errcount;
 			continue;
@@ -1065,7 +1065,7 @@ asyn_echoclient(IPC_Channel* chan, int r
 		&&	(pf[1].revents & (POLLERR|POLLNVAL)) != 0) {
 			cl_log(LOG_ERR
 			,	"Async echoclient: bad poll revents[1]."
-			" revents: 0x%x iter %d", pf[1].revents, rdcount);
+			" revents: 0x%x iter %d", (unsigned)pf[1].revents, rdcount);
 			++errcount;
 			continue;
 		}
@@ -1078,7 +1078,7 @@ asyn_echoclient(IPC_Channel* chan, int r
 			/* Neither I nor O available... */
 			cl_log(LOG_ERR
 			,	"Async echoclient: bad events."
-			" revents: 0x%x iter %d", pf[0].revents, rdcount);
+			" revents: 0x%x iter %d", (unsigned)pf[0].revents, rdcount);
 			++errcount;
 		}
 	}
Index: cluster-glue/lib/stonith/st_ttylock.c
===================================================================
--- cluster-glue.orig/lib/stonith/st_ttylock.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/stonith/st_ttylock.c	2015-02-24 10:25:56.583923145 +0100
@@ -142,7 +142,7 @@ DoLock(const char * prefix, const char *
 	snprintf(lf_name, sizeof(lf_name), "%s/%s%s"
 	,	HA_VARLOCKDIR, prefix, lockname);
 
-	snprintf(tf_name, sizeof(tf_name), "%s/tmp%lu-%s"
+	snprintf(tf_name, sizeof(tf_name), "%s/tmp%ld-%s"
 	,	HA_VARLOCKDIR, mypid, lockname);
 
 	if ((fd = open(lf_name, O_RDONLY)) >= 0) {
@@ -158,7 +158,7 @@ DoLock(const char * prefix, const char *
 		if (read(fd, buf, sizeof(buf)) < 1) {
 			/* lockfile empty -> rm it and go on */;
 		} else {
-			if (sscanf(buf, "%lu", &pid) < 1) {
+			if (sscanf(buf, "%ld", &pid) < 1) {
 				/* lockfile screwed up -> rm it and go on */
 			} else {
 				if (pid > 1 && ((long)getpid() != pid)
@@ -182,7 +182,7 @@ DoLock(const char * prefix, const char *
 	}
 
 	/* Slight overkill with the %*d format ;-) */
-	snprintf(buf, sizeof(buf), "%*lu\n", LOCKSTRLEN-1, mypid);
+	snprintf(buf, sizeof(buf), "%*ld\n", LOCKSTRLEN-1, mypid);
 
 	if (write(fd, buf, LOCKSTRLEN) != LOCKSTRLEN) {
 		/* Again, nothing we can do about this */
Index: cluster-glue/lib/plugins/stonith/wti_mpc.c
===================================================================
--- cluster-glue.orig/lib/plugins/stonith/wti_mpc.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/plugins/stonith/wti_mpc.c	2015-02-24 10:28:49.523866722 +0100
@@ -468,11 +468,11 @@ wti_mpc_hostlist(StonithPlugin * s)
 	/* prepare objname */
 	switch (ad->mib_version) {
 	    case 3:
-                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,j+1);
+                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,(unsigned)j+1);
                 break;
             case 1:
             default:
-                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,j+1);
+                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,(unsigned)j+1);
 		break;
 	}
 	if (Debug) {
@@ -549,11 +549,11 @@ wti_mpc_reset_req(StonithPlugin * s, int
 	/* prepare objname */
 	switch (ad->mib_version) {
 	    case 3:
-                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,outlet);
+                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,(unsigned)outlet);
                 break;
             case 1:
             default:
-                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,outlet);
+                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,(unsigned)outlet);
 		break;
 	}
 
@@ -695,11 +695,11 @@ wti_mpc_set_config(StonithPlugin * s, St
             for (mo=1;mo<MAX_OUTLETS;mo++) {
 		switch (sd->mib_version) {
 		    case 3:
-	                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,mo);
+	                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V3,(unsigned)mo);
 	                break;
 	            case 1:
 	            default:
-	                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,mo);
+	                snprintf(objname,MAX_STRING,OID_GROUP_NAMES_V1,(unsigned)mo);
 			break;
 		}
 
Index: cluster-glue/lib/plugins/stonith/bladehpi.c
===================================================================
--- cluster-glue.orig/lib/plugins/stonith/bladehpi.c	2014-10-31 15:43:17.000000000 +0100
+++ cluster-glue/lib/plugins/stonith/bladehpi.c	2015-02-24 10:34:32.278721283 +0100
@@ -861,7 +861,7 @@ get_resource_type(char *entityRoot, SaHp
 			case SAHPI_ENT_SYSTEM_CHASSIS:
 				snprintf(rootName, sizeof(rootName)
 				,	SYSTEM_CHASSIS_FMT
-				,	ohep->Entry[i].EntityLocation);
+				,	(int)ohep->Entry[i].EntityLocation);
 				if (!strcmp(entityRoot, rootName)) {
 					foundRoot = 1;
 				}
@@ -978,7 +978,7 @@ try_again:
 			dev->ohdevid = ohRPT.ResourceId;
 
 			if (Debug) {
-				LOG(PIL_DEBUG, "BladeCenter '%s' has id %d"
+				LOG(PIL_DEBUG, "BladeCenter '%s' has id %u"
 				,	(char*)ohRPT.ResourceTag.Data
 				,	dev->ohdevid);
 			}
@@ -994,8 +994,8 @@ try_again:
 
 					if (Debug) {
 						LOG(PIL_DEBUG
-						, "MgmtModule '%s' has id %d "
-						"with sensor #%d"
+						, "MgmtModule '%s' has id %u "
+						"with sensor #%u"
 						, (char*)ohRPT.ResourceTag.Data
 						, dev->ohsensid
 						, dev->ohsensnum);
@@ -1036,7 +1036,7 @@ try_again:
 			dev->hostlist = g_list_append(dev->hostlist, bi);
 
 			if (Debug) {
-				LOG(PIL_DEBUG, "Blade '%s' has id %d, caps %x"
+				LOG(PIL_DEBUG, "Blade '%s' has id %u, caps %x"
 				, bi->name, bi->resourceId, bi->resourceCaps);
 			}
 			break;
@@ -1055,7 +1055,7 @@ try_again:
 		free_bladehpi_hostlist(dev);
 		if(Debug){
 			LOG(PIL_DEBUG, "Looping through entries again,"
-				" count changed from %d to %d"
+				" count changed from %u to %u"
 			,	ohupdate, ohdi.RptUpdateCount);
 		}
 		goto try_again;
